Bug 1171323 - Review Request: nodejs-swap-case - Swap the case of a string
Summary: Review Request: nodejs-swap-case - Swap the case of a string
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1171263
Blocks: 1171350
TreeView+ depends on / blocked
 
Reported: 2014-12-05 21:51 UTC by Piotr Popieluch
Modified: 2015-02-15 20:40 UTC (History)
2 users (show)

Fixed In Version: nodejs-swap-case-1.0.2-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-27 00:56:54 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Piotr Popieluch 2014-12-05 21:51:56 UTC
Spec URL: https://piotrp.fedorapeople.org/nodejs-swap-case.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-swap-case-1.0.2-1.fc21.src.rpm
Description: Swap the case of a string
Fedora Account System Username: piotrp

Comment 1 Parag AN(पराग) 2014-12-19 16:21:21 UTC
Review:

+ Package built successful in mock (f22 x86_64)

+ rpmlint on generated rpms gave output
nodejs-swap-case.noarch: W: spelling-error %description -l en_US toString -> to String, to-string, stringing
nodejs-swap-case.noarch: W: spelling-error %description -l en_US booleans -> boo leans, boo-leans, Boolean
nodejs-swap-case.noarch: W: only-non-binary-in-usr-lib
nodejs-swap-case.src: W: spelling-error %description -l en_US toString -> to String, to-string, stringing
nodejs-swap-case.src: W: spelling-error %description -l en_US booleans -> boo leans, boo-leans, Boolean
2 packages and 0 specfiles checked; 0 errors, 5 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball: d9d83cf11eeef68f7629780e48a6de0a3970c0067ef41aaf2794ffdfbf0ce2a9
upstream tarball:  d9d83cf11eeef68f7629780e48a6de0a3970c0067ef41aaf2794ffdfbf0ce2a9

+ License is "MIT" and included in its own LICENSE file.

+ follows nodejs packaging guidelines.

APPROVED.

Comment 2 Piotr Popieluch 2014-12-19 16:23:22 UTC
Thank you for review!

New Package SCM Request
=======================
Package Name: nodejs-swap-case
Short Description: Swap the case of a string
Upstream URL: https://github.com/blakeembrey/swap-case
Owners: piotrp
Branches: f20 f21 el6 epel7

Comment 3 Gwyn Ciesla 2014-12-19 16:30:58 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-12-19 19:03:35 UTC
nodejs-swap-case-1.0.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-swap-case-1.0.2-1.fc20

Comment 5 Fedora Update System 2014-12-19 19:04:16 UTC
nodejs-swap-case-1.0.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-swap-case-1.0.2-1.fc21

Comment 6 Fedora Update System 2014-12-20 08:33:18 UTC
nodejs-swap-case-1.0.2-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 7 Fedora Update System 2014-12-29 09:56:44 UTC
nodejs-swap-case-1.0.2-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 8 Fedora Update System 2014-12-29 10:05:19 UTC
nodejs-swap-case-1.0.2-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 9 Fedora Update System 2015-01-27 20:58:54 UTC
nodejs-swap-case-1.0.2-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-swap-case-1.0.2-1.el7

Comment 10 Fedora Update System 2015-02-15 20:40:21 UTC
nodejs-swap-case-1.0.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.